Skip to main content
GET
/
v1
/
connected-assets
Get Connected Assets
curl --request GET \
  --url https://api.dkit.xyz/v1/connected-assets
const options = {method: 'GET'};

fetch('https://api.dkit.xyz/v1/connected-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.dkit.xyz/v1/connected-assets"

response = requests.get(url)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.dkit.xyz/v1/connected-assets"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.dkit.xyz/v1/connected-assets")
.asString();
val client = OkHttpClient()

val request = Request.Builder()
.url("https://api.dkit.xyz/v1/connected-assets")
.get()
.build()

val response = client.newCall(request).execute()
import Foundation

let url = URL(string: "https://api.dkit.xyz/v1/connected-assets")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{}
{
"type": "/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>",
"code": "<string>"
}
]
}
{
"type": "/errors/not-found",
"title": "Resource Not Found",
"status": 404,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>"
}
{
"type": "/errors/internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>"
}

Query Parameters

asset_id
string
required

Asset ID (e.g., ETH.ETH, BTC.BTC)

Response

Map of connected asset IDs

{key}
enum<number>
Available options:
1